#!/bin/sh
set -euC

export EDITOR=
export PAGER=

glregistry()
{
    printf '$ '
    sleep 1
    printf '%s ' 'glregistry' "$@"
    sleep 1
    echo
    ../glregistry.py "$@"
}

glregistry audit-tree example-repo
echo
glregistry exts-all GL_TEXTURE_MAX_ANISOTROPY
echo
glregistry groups GL_TEXTURE_MAX_ANISOTROPY
echo
glregistry enums-tree SamplerParameterF
echo
glregistry params-tree SamplerParameterF
echo
glregistry refs glSamplerParameter
sleep 10
echo
